# 1 "<stdin>"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "<stdin>"
# 27 "<stdin>"
# 1 "../py/mpconfig.h" 1
# 45 "../py/mpconfig.h"
# 1 "./mpconfigport.h" 1
# 100 "./mpconfigport.h"
typedef int mp_int_t;
typedef unsigned int mp_uint_t;






typedef long mp_off_t;
# 119 "./mpconfigport.h"
# 1 "/usr/include/stdlib.h" 1 3 4
# 37 "/usr/include/stdlib.h" 3 4
# 1 "/usr/include/sys/cdefs.h" 1 3 4
# 63 "/usr/include/sys/cdefs.h" 3 4
# 1 "/usr/include/arm/cdefs.h" 1 3 4
# 64 "/usr/include/sys/cdefs.h" 2 3 4

# 1 "/usr/include/sys/cdefs_elf.h" 1 3 4
# 66 "/usr/include/sys/cdefs.h" 2 3 4
# 629 "/usr/include/sys/cdefs.h" 3 4

# 629 "/usr/include/sys/cdefs.h" 3 4
static __inline long long __zeroll(void) { return 0; }
static __inline unsigned long long __zeroull(void) { return 0; }
# 38 "/usr/include/stdlib.h" 2 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 39 "/usr/include/stdlib.h" 2 3 4


# 1 "/usr/include/sys/types.h" 1 3 4
# 42 "/usr/include/sys/types.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 43 "/usr/include/sys/types.h" 2 3 4


# 1 "/usr/include/arm/types.h" 1 3 4
# 38 "/usr/include/arm/types.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 39 "/usr/include/arm/types.h" 2 3 4
# 1 "/usr/include/arm/int_types.h" 1 3 4
# 36 "/usr/include/arm/int_types.h" 3 4
# 1 "/usr/include/sys/common_int_types.h" 1 3 4
# 45 "/usr/include/sys/common_int_types.h" 3 4
typedef signed char __int8_t;
typedef unsigned char __uint8_t;
typedef short int __int16_t;
typedef short unsigned int __uint16_t;
typedef int __int32_t;
typedef unsigned int __uint32_t;
typedef long long int __int64_t;
typedef long long unsigned int __uint64_t;





typedef long int __intptr_t;
typedef long unsigned int __uintptr_t;
# 37 "/usr/include/arm/int_types.h" 2 3 4
# 40 "/usr/include/arm/types.h" 2 3 4
# 75 "/usr/include/arm/types.h" 3 4
typedef int __cpu_simple_lock_nv_t;

typedef int __register_t;
# 46 "/usr/include/sys/types.h" 2 3 4

# 1 "/usr/include/arm/ansi.h" 1 3 4


# 1 "/usr/include/sys/common_ansi.h" 1 3 4
# 37 "/usr/include/sys/common_ansi.h" 3 4
# 1 "/usr/include/arm/int_types.h" 1 3 4
# 38 "/usr/include/sys/common_ansi.h" 2 3 4
# 3 "/usr/include/arm/ansi.h" 2 3 4
# 48 "/usr/include/sys/types.h" 2 3 4



# 1 "/usr/include/sys/ansi.h" 1 3 4
# 35 "/usr/include/sys/ansi.h" 3 4
# 1 "/usr/include/arm/ansi.h" 1 3 4
# 36 "/usr/include/sys/ansi.h" 2 3 4

typedef char * __caddr_t;
typedef __uint32_t __gid_t;
typedef __uint32_t __in_addr_t;
typedef __uint16_t __in_port_t;
typedef __uint32_t __mode_t;
typedef __int64_t __off_t;
typedef __int32_t __pid_t;
typedef __uint8_t __sa_family_t;
typedef unsigned int __socklen_t;
typedef __uint32_t __uid_t;
typedef __uint64_t __fsblkcnt_t;
typedef __uint64_t __fsfilcnt_t;

struct __tag_wctrans_t;
typedef struct __tag_wctrans_t *__wctrans_t;

struct __tag_wctype_t;
typedef struct __tag_wctype_t *__wctype_t;





typedef union {
 __int64_t __mbstateL;
 char __mbstate8[128];
} __mbstate_t;
# 72 "/usr/include/sys/ansi.h" 3 4
typedef __builtin_va_list __va_list;
# 52 "/usr/include/sys/types.h" 2 3 4


typedef __int8_t int8_t;




typedef __uint8_t uint8_t;




typedef __int16_t int16_t;




typedef __uint16_t uint16_t;




typedef __int32_t int32_t;




typedef __uint32_t uint32_t;




typedef __int64_t int64_t;




typedef __uint64_t uint64_t;



typedef uint8_t u_int8_t;
typedef uint16_t u_int16_t;
typedef uint32_t u_int32_t;
typedef uint64_t u_int64_t;

# 1 "/usr/include/arm/endian.h" 1 3 4


# 1 "/usr/include/sys/endian.h" 1 3 4
# 37 "/usr/include/sys/endian.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 38 "/usr/include/sys/endian.h" 2 3 4
# 55 "/usr/include/sys/endian.h" 3 4
# 1 "/usr/include/sys/types.h" 1 3 4
# 56 "/usr/include/sys/endian.h" 2 3 4


typedef __in_addr_t in_addr_t;




typedef __in_port_t in_port_t;




# 67 "/usr/include/sys/endian.h" 3 4
#pragma GCC visibility push(default)
# 67 "/usr/include/sys/endian.h" 3 4

uint32_t htonl(uint32_t) __attribute__((__const__));
uint16_t htons(uint16_t) __attribute__((__const__));
uint32_t ntohl(uint32_t) __attribute__((__const__));
uint16_t ntohs(uint16_t) __attribute__((__const__));

# 72 "/usr/include/sys/endian.h" 3 4
#pragma GCC visibility pop
# 72 "/usr/include/sys/endian.h" 3 4






# 1 "/usr/include/arm/endian_machdep.h" 1 3 4
# 79 "/usr/include/sys/endian.h" 2 3 4
# 107 "/usr/include/sys/endian.h" 3 4
# 1 "/usr/include/arm/bswap.h" 1 3 4
# 9 "/usr/include/arm/bswap.h" 3 4
# 1 "/usr/include/arm/byte_swap.h" 1 3 4
# 64 "/usr/include/arm/byte_swap.h" 3 4

# 64 "/usr/include/arm/byte_swap.h" 3 4
#pragma GCC visibility push(default)
# 64 "/usr/include/arm/byte_swap.h" 3 4



static __inline uint32_t
__byte_swap_u32_variable(uint32_t v)
{
 uint32_t t1;


 if (!__builtin_constant_p(v)) {
  __asm("rev\t%0, %1" : "=r" (v) : "0" (v));
  return v;
 }


 t1 = v ^ ((v << 16) | (v >> 16));
 t1 &= 0xff00ffffU;
 v = (v >> 8) | (v << 24);
 v ^= (t1 >> 8);

 return v;
}


static __inline uint16_t
__byte_swap_u16_variable(uint16_t v)
{


 if (!__builtin_constant_p(v)) {
  uint32_t v32 = v;
  __asm("rev16\t%0, %1" : "=r" (v32) : "0" (v32));
  return (uint16_t)v32;
 }
# 110 "/usr/include/arm/byte_swap.h" 3 4
 v &= 0xffff;
 v = (uint16_t)((v >> 8) | (v << 8));

 return v;
}


# 116 "/usr/include/arm/byte_swap.h" 3 4
#pragma GCC visibility pop
# 116 "/usr/include/arm/byte_swap.h" 3 4

# 10 "/usr/include/arm/bswap.h" 2 3 4



# 1 "/usr/include/sys/bswap.h" 1 3 4
# 9 "/usr/include/sys/bswap.h" 3 4
# 1 "/usr/include/sys/stdint.h" 1 3 4
# 79 "/usr/include/sys/stdint.h" 3 4
typedef __intptr_t intptr_t;




typedef __uintptr_t uintptr_t;



# 1 "/usr/include/arm/int_mwgwtypes.h" 1 3 4
# 36 "/usr/include/arm/int_mwgwtypes.h" 3 4
# 1 "/usr/include/sys/common_int_mwgwtypes.h" 1 3 4
# 45 "/usr/include/sys/common_int_mwgwtypes.h" 3 4
typedef signed char int_least8_t;
typedef unsigned char uint_least8_t;
typedef short int int_least16_t;
typedef short unsigned int uint_least16_t;
typedef int int_least32_t;
typedef unsigned int uint_least32_t;
typedef long long int int_least64_t;
typedef long long unsigned int uint_least64_t;


typedef int int_fast8_t;
typedef unsigned int uint_fast8_t;
typedef int int_fast16_t;
typedef unsigned int uint_fast16_t;
typedef int int_fast32_t;
typedef unsigned int uint_fast32_t;
typedef long long int int_fast64_t;
typedef long long unsigned int uint_fast64_t;



typedef long long int intmax_t;
typedef long long unsigned int uintmax_t;
# 37 "/usr/include/arm/int_mwgwtypes.h" 2 3 4
# 89 "/usr/include/sys/stdint.h" 2 3 4



# 1 "/usr/include/arm/int_limits.h" 1 3 4
# 36 "/usr/include/arm/int_limits.h" 3 4
# 1 "/usr/include/sys/common_int_limits.h" 1 3 4
# 37 "/usr/include/arm/int_limits.h" 2 3 4
# 93 "/usr/include/sys/stdint.h" 2 3 4




# 1 "/usr/include/arm/int_const.h" 1 3 4
# 98 "/usr/include/sys/stdint.h" 2 3 4


# 1 "/usr/include/arm/wchar_limits.h" 1 3 4
# 101 "/usr/include/sys/stdint.h" 2 3 4
# 10 "/usr/include/sys/bswap.h" 2 3 4

# 1 "/usr/include/arm/bswap.h" 1 3 4
# 12 "/usr/include/sys/bswap.h" 2 3 4


# 13 "/usr/include/sys/bswap.h" 3 4
#pragma GCC visibility push(default)
# 13 "/usr/include/sys/bswap.h" 3 4






uint16_t bswap16(uint16_t) __asm("__bswap16") __attribute__((__const__));
uint32_t bswap32(uint32_t) __asm("__bswap32") __attribute__((__const__));

uint64_t bswap64(uint64_t) __attribute__((__const__));

# 23 "/usr/include/sys/bswap.h" 3 4
#pragma GCC visibility pop
# 23 "/usr/include/sys/bswap.h" 3 4

# 14 "/usr/include/arm/bswap.h" 2 3 4
# 108 "/usr/include/sys/endian.h" 2 3 4
# 203 "/usr/include/sys/endian.h" 3 4
static __inline void __attribute__((__unused__)) be16enc(void *dst, uint16_t u) { u = ((uint16_t)(__builtin_constant_p((((uint16_t)((u))))) ? (((uint16_t)(((((((uint16_t)((u)))) & 0xff00) >> 8) | (((((uint16_t)((u)))) & 0x00ff) << 8))))) : __byte_swap_u16_variable(((uint16_t)((u)))))); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) be32enc(void *dst, uint32_t u) { u = ((uint32_t)(__builtin_constant_p((((uint32_t)((u))))) ? (((uint32_t)(((((((uint32_t)((u)))) & 0xff000000) >> 24) | (((((uint32_t)((u)))) & 0x00ff0000) >> 8) | (((((uint32_t)((u)))) & 0x0000ff00) << 8) | (((((uint32_t)((u)))) & 0x000000ff) << 24))))) : __byte_swap_u32_variable(((uint32_t)((u)))))); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) be64enc(void *dst, uint64_t u) { u = ((uint64_t)(__builtin_constant_p((((uint64_t)((u))))) ? (((uint64_t)(((((((uint64_t)((u)))) & 0xff00000000000000ull) >> 56) | (((((uint64_t)((u)))) & 0x00ff000000000000ull) >> 40) | (((((uint64_t)((u)))) & 0x0000ff0000000000ull) >> 24) | (((((uint64_t)((u)))) & 0x000000ff00000000ull) >> 8) | (((((uint64_t)((u)))) & 0x00000000ff000000ull) << 8) | (((((uint64_t)((u)))) & 0x0000000000ff0000ull) << 24) | (((((uint64_t)((u)))) & 0x000000000000ff00ull) << 40) | (((((uint64_t)((u)))) & 0x00000000000000ffull) << 56))))) : bswap64(((uint64_t)((u)))))); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) le16enc(void *dst, uint16_t u) { u = (u); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) le32enc(void *dst, uint32_t u) { u = (u); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) le64enc(void *dst, uint64_t u) { u = (u); __builtin_memcpy(dst, &u, sizeof(u)); }
# 220 "/usr/include/sys/endian.h" 3 4
static __inline uint16_t __attribute__((__unused__)) be16dec(const void *buf) { uint16_t u; __builtin_memcpy(&u, buf, sizeof(u)); return ((uint16_t)(__builtin_constant_p((((uint16_t)((u))))) ? (((uint16_t)(((((((uint16_t)((u)))) & 0xff00) >> 8) | (((((uint16_t)((u)))) & 0x00ff) << 8))))) : __byte_swap_u16_variable(((uint16_t)((u)))))); }
static __inline uint32_t __attribute__((__unused__)) be32dec(const void *buf) { uint32_t u; __builtin_memcpy(&u, buf, sizeof(u)); return ((uint32_t)(__builtin_constant_p((((uint32_t)((u))))) ? (((uint32_t)(((((((uint32_t)((u)))) & 0xff000000) >> 24) | (((((uint32_t)((u)))) & 0x00ff0000) >> 8) | (((((uint32_t)((u)))) & 0x0000ff00) << 8) | (((((uint32_t)((u)))) & 0x000000ff) << 24))))) : __byte_swap_u32_variable(((uint32_t)((u)))))); }
static __inline uint64_t __attribute__((__unused__)) be64dec(const void *buf) { uint64_t u; __builtin_memcpy(&u, buf, sizeof(u)); return ((uint64_t)(__builtin_constant_p((((uint64_t)((u))))) ? (((uint64_t)(((((((uint64_t)((u)))) & 0xff00000000000000ull) >> 56) | (((((uint64_t)((u)))) & 0x00ff000000000000ull) >> 40) | (((((uint64_t)((u)))) & 0x0000ff0000000000ull) >> 24) | (((((uint64_t)((u)))) & 0x000000ff00000000ull) >> 8) | (((((uint64_t)((u)))) & 0x00000000ff000000ull) << 8) | (((((uint64_t)((u)))) & 0x0000000000ff0000ull) << 24) | (((((uint64_t)((u)))) & 0x000000000000ff00ull) << 40) | (((((uint64_t)((u)))) & 0x00000000000000ffull) << 56))))) : bswap64(((uint64_t)((u)))))); }
static __inline uint16_t __attribute__((__unused__)) le16dec(const void *buf) { uint16_t u; __builtin_memcpy(&u, buf, sizeof(u)); return (u); }
static __inline uint32_t __attribute__((__unused__)) le32dec(const void *buf) { uint32_t u; __builtin_memcpy(&u, buf, sizeof(u)); return (u); }
static __inline uint64_t __attribute__((__unused__)) le64dec(const void *buf) { uint64_t u; __builtin_memcpy(&u, buf, sizeof(u)); return (u); }
# 3 "/usr/include/arm/endian.h" 2 3 4
# 99 "/usr/include/sys/types.h" 2 3 4


typedef unsigned char u_char;
typedef unsigned short u_short;
typedef unsigned int u_int;
typedef unsigned long u_long;

typedef unsigned char unchar;
typedef unsigned short ushort;
typedef unsigned int uint;
typedef unsigned long ulong;


typedef uint64_t u_quad_t;
typedef int64_t quad_t;
typedef quad_t * qaddr_t;
# 126 "/usr/include/sys/types.h" 3 4
typedef int64_t longlong_t;
typedef uint64_t u_longlong_t;

typedef int64_t blkcnt_t;
typedef int32_t blksize_t;


typedef __fsblkcnt_t fsblkcnt_t;




typedef __fsfilcnt_t fsfilcnt_t;






typedef __caddr_t caddr_t;
# 154 "/usr/include/sys/types.h" 3 4
typedef int64_t daddr_t;


typedef uint64_t dev_t;
typedef uint32_t fixpt_t;


typedef __gid_t gid_t;



typedef uint32_t id_t;
typedef uint64_t ino_t;
typedef long key_t;


typedef __mode_t mode_t;



typedef uint32_t nlink_t;


typedef __off_t off_t;




typedef __pid_t pid_t;


typedef int32_t lwpid_t;
typedef uint64_t rlim_t;
typedef int32_t segsz_t;
typedef int32_t swblk_t;


typedef __uid_t uid_t;



typedef int mqd_t;

typedef unsigned long cpuid_t;

typedef int psetid_t;

typedef volatile __cpu_simple_lock_nv_t __cpu_simple_lock_t;
# 244 "/usr/include/sys/types.h" 3 4

# 244 "/usr/include/sys/types.h" 3 4
#pragma GCC visibility push(default)
# 244 "/usr/include/sys/types.h" 3 4

__off_t lseek(int, __off_t, int);
int ftruncate(int, __off_t);
int truncate(const char *, __off_t);

# 248 "/usr/include/sys/types.h" 3 4
#pragma GCC visibility pop
# 248 "/usr/include/sys/types.h" 3 4







typedef int32_t __devmajor_t, __devminor_t;
# 268 "/usr/include/sys/types.h" 3 4
typedef unsigned int clock_t;




typedef long int ptrdiff_t;




typedef long unsigned int size_t;





typedef long int ssize_t;




typedef __int64_t time_t;




typedef int clockid_t;




typedef int timer_t;




typedef int suseconds_t;




typedef unsigned int useconds_t;




# 1 "/usr/include/sys/fd_set.h" 1 3 4
# 38 "/usr/include/sys/fd_set.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 39 "/usr/include/sys/fd_set.h" 2 3 4







typedef __uint32_t __fd_mask;
# 66 "/usr/include/sys/fd_set.h" 3 4
typedef struct fd_set {
 __fd_mask fds_bits[(((256) + ((32) - 1)) / (32))];
} fd_set;
# 315 "/usr/include/sys/types.h" 2 3 4



typedef struct kauth_cred *kauth_cred_t;

typedef int pri_t;
# 354 "/usr/include/sys/types.h" 3 4
# 1 "/usr/include/pthread_types.h" 1 3 4
# 43 "/usr/include/pthread_types.h" 3 4
typedef __cpu_simple_lock_t pthread_spin_t;




typedef pthread_spin_t __pthread_spin_t;
# 61 "/usr/include/pthread_types.h" 3 4
struct pthread_queue_struct_t { struct __pthread_st *ptqh_first; struct __pthread_st **ptqh_last; };
typedef struct pthread_queue_struct_t pthread_queue_t;

struct __pthread_st;
struct __pthread_attr_st;
struct __pthread_mutex_st;
struct __pthread_mutexattr_st;
struct __pthread_cond_st;
struct __pthread_condattr_st;
struct __pthread_spin_st;
struct __pthread_rwlock_st;
struct __pthread_rwlockattr_st;
struct __pthread_barrier_st;
struct __pthread_barrierattr_st;

typedef struct __pthread_st *pthread_t;
typedef struct __pthread_attr_st pthread_attr_t;
typedef struct __pthread_mutex_st pthread_mutex_t;
typedef struct __pthread_mutexattr_st pthread_mutexattr_t;
typedef struct __pthread_cond_st pthread_cond_t;
typedef struct __pthread_condattr_st pthread_condattr_t;
typedef struct __pthread_once_st pthread_once_t;
typedef struct __pthread_spinlock_st pthread_spinlock_t;
typedef struct __pthread_rwlock_st pthread_rwlock_t;
typedef struct __pthread_rwlockattr_st pthread_rwlockattr_t;
typedef struct __pthread_barrier_st pthread_barrier_t;
typedef struct __pthread_barrierattr_st pthread_barrierattr_t;
typedef int pthread_key_t;

struct __pthread_attr_st {
 unsigned int pta_magic;

 int pta_flags;
 void *pta_private;
};
# 112 "/usr/include/pthread_types.h" 3 4
struct __pthread_mutex_st {
 unsigned int ptm_magic;
 __pthread_spin_t ptm_errorcheck;
# 125 "/usr/include/pthread_types.h" 3 4
 union {
  unsigned char ptm_ceiling;
  __pthread_spin_t ptm_unused;
 };



 volatile pthread_t ptm_owner;
 pthread_t * volatile ptm_waiters;
 unsigned int ptm_recursed;
 void *ptm_spare2;
};
# 161 "/usr/include/pthread_types.h" 3 4
struct __pthread_mutexattr_st {
 unsigned int ptma_magic;
 void *ptma_private;
};





struct __pthread_cond_st {
 unsigned int ptc_magic;


 __pthread_spin_t ptc_lock;
 pthread_queue_t ptc_waiters;

 pthread_mutex_t *ptc_mutex;
 void *ptc_private;
};
# 191 "/usr/include/pthread_types.h" 3 4
struct __pthread_condattr_st {
 unsigned int ptca_magic;
 void *ptca_private;
};




struct __pthread_once_st {
 pthread_mutex_t pto_mutex;
 int pto_done;
};



struct __pthread_spinlock_st {
 unsigned int pts_magic;
 __pthread_spin_t pts_spin;
 int pts_flags;
};
# 222 "/usr/include/pthread_types.h" 3 4
struct __pthread_rwlock_st {
 unsigned int ptr_magic;


 __pthread_spin_t ptr_interlock;

 pthread_queue_t ptr_rblocked;
 pthread_queue_t ptr_wblocked;
 unsigned int ptr_nreaders;
 volatile pthread_t ptr_owner;
 void *ptr_private;
};
# 247 "/usr/include/pthread_types.h" 3 4
struct __pthread_rwlockattr_st {
 unsigned int ptra_magic;
 void *ptra_private;
};




struct __pthread_barrier_st {
 unsigned int ptb_magic;


 pthread_spin_t ptb_lock;

 pthread_queue_t ptb_waiters;
 unsigned int ptb_initcount;
 unsigned int ptb_curcount;
 unsigned int ptb_generation;

 void *ptb_private;
};




struct __pthread_barrierattr_st {
 unsigned int ptba_magic;
 void *ptba_private;
};
# 355 "/usr/include/sys/types.h" 2 3 4
# 42 "/usr/include/stdlib.h" 2 3 4


# 1 "/usr/include/arm/ansi.h" 1 3 4
# 45 "/usr/include/stdlib.h" 2 3 4







typedef int wchar_t;



typedef struct {
 int quot;
 int rem;
} div_t;

typedef struct {
 long quot;
 long rem;
} ldiv_t;




typedef struct {

 long long int quot;

 long long int rem;
} lldiv_t;



typedef struct {
 quad_t quot;
 quad_t rem;
} qdiv_t;



# 1 "/usr/include/sys/null.h" 1 3 4
# 86 "/usr/include/stdlib.h" 2 3 4






extern size_t __mb_cur_max;



# 95 "/usr/include/stdlib.h" 3 4
#pragma GCC visibility push(default)
# 95 "/usr/include/stdlib.h" 3 4

__attribute__((__noreturn__)) void _Exit(int);
__attribute__((__noreturn__)) void abort(void);
__attribute__((__const__)) int abs(int);
int atexit(void (*)(void));
double atof(const char *);
int atoi(const char *);
long atol(const char *);



void *bsearch(const void *, const void *, size_t, size_t,
    int (*)(const void *, const void *));

void *calloc(size_t, size_t);
div_t div(int, int);
__attribute__((__noreturn__)) void exit(int);
void free(void *);
 char *getenv(const char *);
__attribute__((__const__)) long
  labs(long);
ldiv_t ldiv(long, long);
void *malloc(size_t);
void qsort(void *, size_t, size_t, int (*)(const void *, const void *));
int rand(void);
void *realloc(void *, size_t);
void srand(unsigned);
double strtod(const char * restrict, char ** restrict);
long strtol(const char * restrict, char ** restrict, int);
unsigned long
  strtoul(const char * restrict, char ** restrict, int);




int system(const char *);


int mblen(const char *, size_t);
size_t mbstowcs(wchar_t * restrict, const char * restrict, size_t);
int wctomb(char *, wchar_t);
int mbtowc(wchar_t * restrict, const char * restrict, size_t);
size_t wcstombs(char * restrict, const wchar_t * restrict, size_t);
# 148 "/usr/include/stdlib.h" 3 4
int rand_r(unsigned int *);







double drand48(void);
double erand48(unsigned short[3]);
long jrand48(unsigned short[3]);
void lcong48(unsigned short[7]);
long lrand48(void);
long mrand48(void);
long nrand48(unsigned short[3]);
unsigned short *
  seed48(unsigned short[3]);
void srand48(long);


int putenv(char *) __asm("__putenv50");
# 178 "/usr/include/stdlib.h" 3 4
long a64l(const char *);
char *l64a(long);

long random(void);
char *setstate(char *);

char *initstate(unsigned int, char *, size_t) __asm("__initstate60");
void srandom(unsigned int) __asm("__srandom60");



int mkostemp(char *, int);
int mkostemps(char *, int, int);


char *mkdtemp(char *);
int mkstemp(char *);
char *mktemp(char *)



 ;

int setkey(const char *);

char *realpath(const char * restrict, char * restrict);

int ttyslot(void);

void *valloc(size_t);

int getsubopt(char **, char * const *, char **);

int grantpt(int);
int unlockpt(int);
char *ptsname(int);
# 223 "/usr/include/stdlib.h" 3 4
long long int atoll(const char *);

long long int llabs(long long int);

lldiv_t lldiv(long long int, long long int);

long long int strtoll(const char * restrict, char ** restrict, int);

unsigned long long int
  strtoull(const char * restrict, char ** restrict, int);
float strtof(const char * restrict, char ** restrict);
long double strtold(const char * restrict, char ** restrict);




void *aligned_alloc(size_t, size_t);
int at_quick_exit(void (*)(void));
__attribute__((__noreturn__)) void quick_exit(int);







int setenv(const char *, const char *, int);

int unsetenv(const char *) __asm("__unsetenv13");


int posix_openpt(int);
int posix_memalign(void **, size_t, size_t);
# 268 "/usr/include/stdlib.h" 3 4
void *alloca(size_t);


uint32_t arc4random(void);
void arc4random_stir(void);
void arc4random_buf(void *, size_t);
uint32_t arc4random_uniform(uint32_t);
void arc4random_addrandom(u_char *, int);
char *getbsize(int *, long *);
char *cgetcap(char *, const char *, int);
int cgetclose(void);
int cgetent(char **, const char * const *, const char *);
int cgetfirst(char **, const char * const *);
int cgetmatch(const char *, const char *);
int cgetnext(char **, const char * const *);
int cgetnum(char *, const char *, long *);
int cgetset(const char *);
int cgetstr(char *, const char *, char **);
int cgetustr(char *, const char *, char **);
void csetexpandtc(int);

int daemon(int, int);
int devname_r(dev_t, __mode_t, char *, size_t);

 char *devname(dev_t, __mode_t) __asm("__devname50");
# 303 "/usr/include/stdlib.h" 3 4
int humanize_number(char *, size_t, int64_t, const char *, int, int);
int dehumanize_number(const char *, int64_t *);
ssize_t hmac(const char *, const void *, size_t, const void *, size_t, void *,
   size_t);

__devmajor_t getdevmajor(const char *, __mode_t);
int getloadavg(double [], int);

int getenv_r(const char *, char *, size_t);

void cfree(void *);

int heapsort(void *, size_t, size_t, int (*)(const void *, const void *));
int mergesort(void *, size_t, size_t,
     int (*)(const void *, const void *));
int ptsname_r(int, char *, size_t);
int radixsort(const unsigned char **, int, const unsigned char *,
     unsigned);
int sradixsort(const unsigned char **, int, const unsigned char *,
     unsigned);

void mi_vector_hash(const void * restrict, size_t, uint32_t,
     uint32_t[3]);

void setproctitle(const char *, ...)
     __attribute__((__format__ (__printf__, 1, 2)));
const char *getprogname(void) __attribute__((__const__));
void setprogname(const char *);

quad_t qabs(quad_t);
quad_t strtoq(const char * restrict, char ** restrict, int);
u_quad_t strtouq(const char * restrict, char ** restrict, int);


long long strsuftoll(const char *, const char *, long long, long long);

long long strsuftollx(const char *, const char *, long long, long long,
       char *, size_t);

int l64a_r(long, char *, int);

size_t shquote(const char *, char *, size_t);
size_t shquotev(int, char * const *, char *, size_t);

int reallocarr(void *, size_t, size_t);




qdiv_t qdiv(quad_t, quad_t);




typedef struct _locale *locale_t;


double strtod_l(const char * restrict, char ** restrict, locale_t);
float strtof_l(const char * restrict, char ** restrict, locale_t);
long double strtold_l(const char * restrict, char ** restrict,
     locale_t);
long strtol_l(const char * restrict, char ** restrict, int, locale_t);
unsigned long
  strtoul_l(const char * restrict, char ** restrict, int, locale_t);

long long int
 strtoll_l(const char * restrict, char ** restrict, int, locale_t);

unsigned long long int
 strtoull_l(const char * restrict, char ** restrict, int, locale_t);


quad_t strtoq_l(const char * restrict, char ** restrict, int, locale_t);
u_quad_t strtouq_l(const char * restrict, char ** restrict, int, locale_t);

size_t _mb_cur_max_l(locale_t);

int mblen_l(const char *, size_t, locale_t);
size_t mbstowcs_l(wchar_t * restrict, const char * restrict, size_t,
      locale_t);
int wctomb_l(char *, wchar_t, locale_t);
int mbtowc_l(wchar_t * restrict, const char * restrict, size_t,
           locale_t);
size_t wcstombs_l(char * restrict, const wchar_t * restrict, size_t,
      locale_t);





# 392 "/usr/include/stdlib.h" 3 4
#pragma GCC visibility pop
# 392 "/usr/include/stdlib.h" 3 4

# 120 "./mpconfigport.h" 2






# 1 "/usr/include/stdint.h" 1 3 4
# 126 "./mpconfigport.h" 2
# 46 "../py/mpconfig.h" 2
# 552 "../py/mpconfig.h"

# 552 "../py/mpconfig.h"
typedef double mp_float_t;
# 28 "<stdin>" 2





QCFG(BYTES_IN_LEN, (1))
QCFG(BYTES_IN_HASH, (2))

Q()
Q(*)
Q(_)
Q(/)
Q(%#o)
Q(%#x)
Q({:#b})
Q(\n)
Q(maximum recursion depth exceeded)
Q(<module>)
Q(<lambda>)
Q(<listcomp>)
Q(<dictcomp>)
Q(<setcomp>)
Q(<genexpr>)
Q(<string>)
Q(<stdin>)
Q(utf-8)


Q(__locals__)
Q(BufferError)
Q(FileExistsError)
Q(FileNotFoundError)
Q(FloatingPointError)
Q(UnboundLocalError)

Q(ArithmeticError)

Q(ArithmeticError)

Q(AssertionError)

Q(AssertionError)

Q(AssertionError)

Q(AttributeError)

Q(AttributeError)

Q(BaseException)

Q(BaseException)

Q(EOFError)

Q(EOFError)

Q(Ellipsis)

Q(Ellipsis)

Q(Exception)

Q(Exception)

Q(GeneratorExit)

Q(GeneratorExit)

Q(ImportError)

Q(ImportError)

Q(IndentationError)

Q(IndentationError)

Q(IndexError)

Q(IndexError)

Q(KeyError)

Q(KeyError)

Q(KeyboardInterrupt)

Q(KeyboardInterrupt)

Q(LookupError)

Q(LookupError)

Q(MemoryError)

Q(MemoryError)

Q(NameError)

Q(NameError)

Q(NoneType)

Q(NotImplementedError)

Q(NotImplementedError)

Q(OSError)

Q(OSError)

Q(OverflowError)

Q(OverflowError)

Q(RuntimeError)

Q(RuntimeError)

Q(StopAsyncIteration)

Q(StopAsyncIteration)

Q(StopAsyncIteration)

Q(StopIteration)

Q(StopIteration)

Q(SyntaxError)

Q(SyntaxError)

Q(SystemExit)

Q(SystemExit)

Q(TypeError)

Q(TypeError)

Q(UnicodeError)

Q(UnicodeError)

Q(ValueError)

Q(ValueError)

Q(ZeroDivisionError)

Q(ZeroDivisionError)

Q(__add__)

Q(__aenter__)

Q(__aenter__)

Q(__aexit__)

Q(__aiter__)

Q(__anext__)

Q(__bool__)

Q(__build_class__)

Q(__call__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__contains__)

Q(__contains__)

Q(__delitem__)

Q(__delitem__)

Q(__dict__)

Q(__enter__)

Q(__eq__)

Q(__eq__)

Q(__exit__)

Q(__ge__)

Q(__getattr__)

Q(__getattr__)

Q(__getitem__)

Q(__getitem__)

Q(__getitem__)

Q(__getitem__)

Q(__gt__)

Q(__hash__)

Q(__import__)

Q(__init__)

Q(__init__)

Q(__init__)

Q(__init__)

Q(__iter__)

Q(__le__)

Q(__len__)

Q(__lt__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__module__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__new__)

Q(__new__)

Q(__new__)

Q(__next__)

Q(__next__)

Q(__next__)

Q(__next__)

Q(__path__)

Q(__path__)

Q(__path__)

Q(__qualname__)

Q(__repl_print__)

Q(__repl_print__)

Q(__repr__)

Q(__repr__)

Q(__reversed__)

Q(__setitem__)

Q(__setitem__)

Q(__str__)

Q(__sub__)

Q(__traceback__)

Q(_brace_open__colon__hash_b_brace_close_)

Q(_lt_dictcomp_gt_)

Q(_lt_genexpr_gt_)

Q(_lt_lambda_gt_)

Q(_lt_listcomp_gt_)

Q(_lt_module_gt_)

Q(_lt_setcomp_gt_)

Q(_lt_string_gt_)

Q(_percent__hash_o)

Q(_percent__hash_x)

Q(_star_)

Q(_star_)

Q(abs)

Q(add)

Q(all)

Q(any)

Q(append)

Q(append)

Q(args)

Q(bin)

Q(bool)

Q(bool)

Q(bound_method)

Q(builtins)

Q(builtins)

Q(bytearray)

Q(bytearray)

Q(bytecode)

Q(bytes)

Q(bytes)

Q(bytes)

Q(calcsize)

Q(callable)

Q(chr)

Q(classmethod)

Q(classmethod)

Q(clear)

Q(clear)

Q(clear)

Q(close)

Q(close)

Q(close)

Q(closure)

Q(closure)

Q(complex)

Q(complex)

Q(const)

Q(const)

Q(copy)

Q(copy)

Q(copy)

Q(count)

Q(count)

Q(count)

Q(count)

Q(decode)

Q(default)

Q(delattr)

Q(deleter)

Q(dict)

Q(dict)

Q(dict_view)

Q(difference)

Q(difference_update)

Q(dir)

Q(discard)

Q(divmod)

Q(doc)

Q(encode)

Q(end)

Q(endswith)

Q(endswith)

Q(enumerate)

Q(enumerate)

Q(eval)

Q(exec)

Q(extend)

Q(extend)

Q(filter)

Q(filter)

Q(find)

Q(find)

Q(float)

Q(float)

Q(format)

Q(format)

Q(from_bytes)

Q(fromkeys)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(generator)

Q(generator)

Q(generator)

Q(get)

Q(getattr)

Q(getter)

Q(globals)

Q(hasattr)

Q(hash)

Q(heap_lock)

Q(heap_unlock)

Q(hex)

Q(id)

Q(imag)

Q(index)

Q(index)

Q(index)

Q(index)

Q(insert)

Q(int)

Q(int)

Q(intersection)

Q(intersection_update)

Q(isalpha)

Q(isalpha)

Q(isdigit)

Q(isdigit)

Q(isdisjoint)

Q(isinstance)

Q(islower)

Q(islower)

Q(isspace)

Q(isspace)

Q(issubclass)

Q(issubset)

Q(issuperset)

Q(isupper)

Q(isupper)

Q(items)

Q(iter)

Q(iterable)

Q(iterator)

Q(iterator)

Q(iterator)

Q(iterator)

Q(iterator)

Q(join)

Q(join)

Q(key)

Q(key)

Q(keys)

Q(keys)

Q(len)

Q(list)

Q(list)

Q(little)

Q(little)

Q(little)

Q(locals)

Q(lower)

Q(lower)

Q(lstrip)

Q(lstrip)

Q(map)

Q(map)

Q(max)

Q(maximum_space_recursion_space_depth_space_exceeded)

Q(micropython)

Q(micropython)

Q(micropython)

Q(min)

Q(module)

Q(next)

Q(object)

Q(object)

Q(oct)

Q(opt_level)

Q(ord)

Q(pack)

Q(pack_into)

Q(pop)

Q(pop)

Q(pop)

Q(popitem)

Q(pow)

Q(print)

Q(property)

Q(property)

Q(range)

Q(range)

Q(range)

Q(real)

Q(remove)

Q(remove)

Q(replace)

Q(replace)

Q(repr)

Q(reverse)

Q(reverse)

Q(reversed)

Q(reversed)

Q(rfind)

Q(rfind)

Q(rindex)

Q(rindex)

Q(round)

Q(rsplit)

Q(rsplit)

Q(rstrip)

Q(rstrip)

Q(send)

Q(send)

Q(sep)

Q(set)

Q(set)

Q(setattr)

Q(setdefault)

Q(setter)

Q(slice)

Q(slice)

Q(sort)

Q(sorted)

Q(split)

Q(split)

Q(start)

Q(start)

Q(startswith)

Q(startswith)

Q(staticmethod)

Q(staticmethod)

Q(step)

Q(stop)

Q(str)

Q(str)

Q(str)

Q(str)

Q(strip)

Q(strip)

Q(sum)

Q(super)

Q(super)

Q(super)

Q(symmetric_difference)

Q(symmetric_difference_update)

Q(throw)

Q(throw)

Q(to_bytes)

Q(tuple)

Q(tuple)

Q(type)

Q(type)

Q(union)

Q(unpack)

Q(unpack_from)

Q(update)

Q(update)

Q(upper)

Q(upper)

Q(ustruct)

Q(ustruct)

Q(utf_hyphen_8)

Q(utf_hyphen_8)

Q(value)

Q(values)

Q(zip)

Q(zip)
